Subject: Re: [AVTCORE] Requesting redundancy level modification during a call

From: Ilan Doron <[email-masked]>
Date: Tue, 16 Aug 2011 11:58:20 +0000

Thanks
But I want clarify my requirement, since I am not looking for a solution only in the specific scenario presented below (though it is relevant...)

Assume I want the remote side to perform some specific changes in the 'out media stream'.
How should I send the remote side a request to change its sending properties?

Should it be RTCP? For example RTCP FB (rfc4585) or some new RTCP packet type.
Or maybe use a new RTP profile?

When reviewing the nature of the protocols, where does this requirement fit in?

Ilan Doron

From: [email-masked] [mailto:[email-masked]] On Behalf Of Gunnar Hellstr?m
Sent: Wednesday, August 10, 2011 19:06
To: [email-masked]
Subject: Re: [AVTCORE] Requesting redundancy level modification during a call

Ilan,

The decisions on levels to use in RFC 2198 was discussed some years ago when RFC 4103 Real-time text was created.
It was then considered that the SDP for RFC 2198 shall not be seen as a full negotiation, but rather a declaration of capability to receive handle RFC 2198 and a declaration of the intended initial level of redundancy to be used if the other party also supports RFC 2198.

>From that initial level, RTCP RR could be observed and judged if there is a need to increase the levels.

The discussion is available in the avt archive from 2004.
Part of it is here:
ftp://ftp.ietf.org/ietf-mail-archive/avt/2004-04.mail

Regards

Gunnar
-----------------------------------

Ilan Doron skrev 2011-08-10 16:07:
Hello AVT Group
:) (1st post here...)

Assume a RTP call where rfc2198 redundancy is being used.
During the call I want to request the remote side to modify redundancy level being used.
Lets say request working with redundancy 2 instead of 1.

What is the preferred method for this?
RTP? RTCP? Other?

10x in advance.

Ilan Doron
System Software - R & D
Tel:         +972-3-9764354
Fax:        +972-3-9764223
Mobile:   +972-54-6262-775
Email:    [email-masked]<mailto:[email-masked]>
<mailto:[email-masked]>Web:       www.audiocodes.com<http://www.audiocodes.com/>

<http://www.audiocodes.com/solutions/hdvoip>
Click to Sign Up for our email updates<http://www.mymarketing.co.il/Subscribe.htm?_u=f3j2a8>

Ilan Doron
System Software - R & D
Tel:         +972-3-9764354
Fax:        +972-3-9764223
Mobile:   +972-54-6262-775
Email:    [email-masked]<mailto:[email-masked]>
<mailto:[email-masked]>Web:       www.audiocodes.com<http://www.audiocodes.com/>

<http://www.audiocodes.com/solutions/hdvoip>
Click to Sign Up for our email updates<http://www.mymarketing.co.il/Subscribe.htm?_u=f3j2a8>

Somewhere there is a tree thanking you for cutting back on printing...

________________________________

This email and any files transmitted with it are confidential material. They are intended solely for the use of the designated individual or entity to whom they are addressed. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, use, distribution or copying of this communication is strictly prohibited and may be unlawful.

If you have received this email in error please immediately notify the sender and delete or destroy any copy of this message

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 31 Aug 2011 13:59:58 +0200

On 2011-08-16 13:58, Ilan Doron wrote:
> Thanks
> 
> But I want clarify my requirement, since I am not looking for a solution
> only in the specific scenario presented below (though it is relevant…)
> 
>  
> 
> Assume I want the remote side to perform some specific changes in the
> ‘out media stream’.
> 

To answer the question where I think a solution for requesting or
providing preferences for redundancy levels I think CCM (RFC5104) is a
suitable platform to expand. That way redundancy adjustments due to
secondary paths from a middlebox can be handled.

cheers

Magnus Westerlund

----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------